summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2016-04-18 10:54:19 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2016-04-18 10:54:19 +0800
commit31a5fc611149e6ce7218f3c9e17a276aeb398a26 (patch)
tree3cd1a1505bdf4d1bce70a6860729d7fb63eaa14f
parentabb02df816403e057974620e216292f6ff93ff83 (diff)
changes for n-preview builds
Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
-rw-r--r--android-tools/Android.mk2
-rwxr-xr-xbuild-for-low.sh104
-rwxr-xr-xbuild.sh50
-rw-r--r--liuyq-patches/liuyq.xml14
-rwxr-xr-xsync-aosp.sh22
-rwxr-xr-xsync-for-memory.sh23
-rwxr-xr-xsync-local.sh (renamed from sync-marshmallow-local-private.sh)27
-rwxr-xr-xsync-lollipop-linaro.sh12
-rwxr-xr-xsync-lollipop-local-normal.sh31
-rwxr-xr-xsync-lollipop-local-private.sh33
-rwxr-xr-xsync-marshmallow-linaro.sh30
-rwxr-xr-xsync-master-linaro.sh12
-rwxr-xr-xsync-master-local.sh13
13 files changed, 25 insertions, 348 deletions
diff --git a/android-tools/Android.mk b/android-tools/Android.mk
index 118d628..285e326 100644
--- a/android-tools/Android.mk
+++ b/android-tools/Android.mk
@@ -1,3 +1,4 @@
+ifeq ($(INCLUDE_PERSONAL_TOOLS), true)
TOP_PATH := $(call my-dir)
LOCAL_PATH := $(call my-dir)
@@ -20,3 +21,4 @@ include $(BUILD_PREBUILT)
-include $(TOP_PATH)/sl/Android.mk
-include $(TOP_PATH)/static-binary/src/Android.mk
-include $(TOP_PATH)/apks/Android.mk
+endif
diff --git a/build-for-low.sh b/build-for-low.sh
deleted file mode 100755
index 0cde131..0000000
--- a/build-for-low.sh
+++ /dev/null
@@ -1,104 +0,0 @@
-#!/bin/bash
-CPUS=$(grep processor /proc/cpuinfo |wc -l)
-
-targets="selinuxtarballs"
-#targets="boottarball"
-variant="userdebug"
-
-export TARGET_GCC_VERSION_EXP=5.2-linaro
-
-function build(){
- export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64/
- export PATH=${JAVA_HOME}/bin:$PATH
- product="${1}"
- if [ -z "${product}" ]; then
- return
- fi
- source build/envsetup.sh
- lunch ${product}-${variant}
-
- echo "Start to build:" >>time.log
- date +%Y-%m-%d-%H-%M >>time.log
- (time make ${targets} -j${CPUS} showcommands) 2>&1 |tee build-${product}.log
- date +%Y-%m-%d-%H-%M >>time.log
-}
-
-function build_hikey(){
- #https://github.com/96boards/documentation/wiki/HiKeyGettingStarted#section-2 -O hikey-vendor.tar.bz2
- #wget http://builds.96boards.org/snapshots/hikey/linaro/binaries/20150706/vendor.tar.bz2 -O hikey-vendor.tar.bz2
- targets="droidcore"
- build hikey
- targets="selinuxtarballs"
-}
-
-function build_manta(){
- #export WITH_DEXPREOPT=true
- export TARGET_PREBUILT_KERNEL=device/samsung/manta/kernel
- targets="droidcore"
- build aosp_manta
- unset TARGET_PREBUILT_KERNEL
- targets="selinuxtarballs"
-}
-
-function clean_for_manta(){
- rm -fr out/target/product/manta/obj/ETC
- rm -fr out/target/product/manta/boot.img
- rm -fr out/target/product/manta/root
- rm -fr out/target/product/manta/ramdisk*
- rm -fr out/target/product/manta/obj/EXECUTABLES/init_intermediates
-}
-
-function build_flounder(){
- export TARGET_PREBUILT_KERNEL=device/htc/flounder-kernel/Image.gz-dtb
- targets="droidcore"
- build aosp_flounder
- unset TARGET_PREBUILT_KERNEL
- targets="selinuxtarballs"
-}
-
-function build_flo(){
- export TARGET_PREBUILT_KERNEL=device/asus/flo-kernel/kernel
- export TARGET_GCC_VERSION_EXP=5.3-linaro
- export TARGET_OPTIMIZE_FOR_SIZE=true
- targets="droidcore"
- build aosp_flo
- unset TARGET_PREBUILT_KERNEL
- targets="selinuxtarballs"
-}
-
-function build_vexpress(){
- export TARGET_UEFI_TOOLS=arm-eabi-
- build vexpress
- unset TARGET_UEFI_TOOLS
-}
-
-function build_tools_ddmlib(){
- export JAVA_HOME=/usr/lib/jvm/java-6-openjdk-amd64/
- export PATH=${JAVA_HOME}/bin:$PATH
- export ANDROID_HOME=/backup/soft/adt-bundle-linux/sdk/
- cd tools
- ./gradlew prepareRepo copyGradleProperty
- if [ $? -ne 0 ]; then
- echo "Failed to run:./gradlew prepareRepo copyGradleProperty"
- return
- fi
- ./gradlew assemble
- if [ $? -ne 0 ]; then
- ./gradlew clean assemble
- if [ $? -ne 0 ]; then
- echo "Failed to run:./gradlew clean assemble"
- return
- fi
- fi
- ./gradlew :base:ddmlib:build
- unset JAVA_HOME
-}
-
-#build_vexpress
-#build fvp
-# clean_for manta && build_manta
-#build_tools_ddmlib
-#build juno
-#build_hikey
-#build_flounder
-build_flo
diff --git a/build.sh b/build.sh
index 1274f61..afbfb3c 100755
--- a/build.sh
+++ b/build.sh
@@ -7,12 +7,13 @@ variant="userdebug"
#export INCLUDE_STLPORT_FOR_MASTER=true
#export INCLUDE_LAVA_HACK_FOR_MASTER=true
-export TARGET_GCC_VERSION_EXP=5.3-linaro
+#export TARGET_GCC_VERSION_EXP=5.3-linaro
+export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64/
+export PATH=${JAVA_HOME}/bin:$PATH
+
export WITH_DEXPREOPT=true
function build(){
- export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64/
- export PATH=${JAVA_HOME}/bin:$PATH
product="${1}"
if [ -z "${product}" ]; then
return
@@ -29,28 +30,13 @@ function build(){
function build_hikey(){
#https://github.com/96boards/documentation/wiki/HiKeyGettingStarted#section-2 -O hikey-vendor.tar.bz2
#wget http://builds.96boards.org/snapshots/hikey/linaro/binaries/20150706/vendor.tar.bz2 -O hikey-vendor.tar.bz2
+ export TARGET_BUILD_KERNEL=true
+ export MALLOC_SVELTE=true
targets="droidcore"
build hikey
targets="selinuxtarballs"
}
-function build_manta(){
- #export WITH_DEXPREOPT=true
- export TARGET_PREBUILT_KERNEL=device/samsung/manta/kernel
- targets="droidcore"
- build aosp_manta
- unset TARGET_PREBUILT_KERNEL
- targets="selinuxtarballs"
-}
-
-function clean_for_manta(){
- rm -fr out/target/product/manta/obj/ETC
- rm -fr out/target/product/manta/boot.img
- rm -fr out/target/product/manta/root
- rm -fr out/target/product/manta/ramdisk*
- rm -fr out/target/product/manta/obj/EXECUTABLES/init_intermediates
-}
-
function build_flounder(){
export TARGET_PREBUILT_KERNEL=device/htc/flounder-kernel/Image.gz-dtb
targets="droidcore"
@@ -73,32 +59,8 @@ function build_vexpress(){
unset TARGET_UEFI_TOOLS
}
-function build_tools_ddmlib(){
- export JAVA_HOME=/usr/lib/jvm/java-6-openjdk-amd64/
- export PATH=${JAVA_HOME}/bin:$PATH
- export ANDROID_HOME=/backup/soft/adt-bundle-linux/sdk/
- cd tools
- ./gradlew prepareRepo copyGradleProperty
- if [ $? -ne 0 ]; then
- echo "Failed to run:./gradlew prepareRepo copyGradleProperty"
- return
- fi
- ./gradlew assemble
- if [ $? -ne 0 ]; then
- ./gradlew clean assemble
- if [ $? -ne 0 ]; then
- echo "Failed to run:./gradlew clean assemble"
- return
- fi
- fi
- ./gradlew :base:ddmlib:build
- unset JAVA_HOME
-}
-
#build_vexpress
#build fvp
-# clean_for manta && build_manta
-#build_tools_ddmlib
#build juno
build_hikey
#build_flounder
diff --git a/liuyq-patches/liuyq.xml b/liuyq-patches/liuyq.xml
index eac87f8..e23ce3e 100644
--- a/liuyq-patches/liuyq.xml
+++ b/liuyq-patches/liuyq.xml
@@ -3,30 +3,34 @@
<remote name="linaro-android" fetch="git://android-git.linaro.org/" review="android-review.linaro.org" />
<remote name="github4liuyq" fetch="https://github.com/" />
<remote name="local" fetch="file:////SATA3/aosp-mirror/hikey/" />
+<!--
<project path="packages/apps/AndroidTerm" name="platform/external/AndroidTerm" revision="linaro-master" remote="linaro-android"/>
<project path="packages/inputmethods/hackerskeyboard" name="liuyq/hackerskeyboard" revision="master" remote="github4liuyq"/>
+-->
<!--
<project path="external/opencv-upstream" name="Itseez/opencv" revision="master" remote="github4liuyq" />
<project path="external/ncurses" name="platform/external/ncurses" revision="linaro" groups="common" remote="linaro-android"/>
-->
- <project path="external/opencv-upstream" name="liuyq/opencv" revision="master" remote="github4liuyq" />
<!--
+ <project path="external/opencv-upstream" name="liuyq/opencv" revision="master" remote="github4liuyq" />
https://code.videolan.org/videolan/vlc-android.git
- -->
<project path="android-tools/apks" name="liuyq/apks" revision="master" remote="github4liuyq" />
-
+ -->
+<!--
<remove-project name="platform/prebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-4.9-linaro" />
<remove-project name="platform/prebuilts/gcc/linux-x86/arm/arm-linux-androideabi-4.9-linaro" />
<remove-project name="platform/prebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-5.1-linaro" />
<remove-project name="platform/prebuilts/gcc/linux-x86/arm/arm-linux-androideabi-5.1-linaro" />
<remove-project name="platform/prebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-5.2-linaro" />
<remove-project name="platform/prebuilts/gcc/linux-x86/arm/arm-linux-androideabi-5.2-linaro" />
- <!--
+-->
+<!--
<remove-project name="platform/prebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-5.3-linaro" />
<remove-project name="platform/prebuilts/gcc/linux-x86/arm/arm-linux-androideabi-5.3-linaro" />
-->
-
+<!--
<remove-project name="linux" remote="github-hikey"/>
<project path="kernel/linaro/hisilicon" name="linux" revision="android-hikey-linaro-4.1" remote="local"/>
+-->
</manifest>
diff --git a/sync-aosp.sh b/sync-aosp.sh
deleted file mode 100755
index 2754f87..0000000
--- a/sync-aosp.sh
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/usr/bin/env sh
-
-export BASE=`pwd`
-#mirror="http://android.git.linaro.org/git/platform/manifest.git"
-mirror="git://android.git.linaro.org/platform/manifest.git"
-repo_url="git://android.git.linaro.org/tools/repo"
-base_manifest="default.xml"
-branch="master"
-
-sync(){
-
- while ! repo init -u ${mirror} -m ${base_manifest} -b ${branch} --no-repo-verify --repo-url=${repo_url}; do
- sleep 30
- done
-
- #Syncronize and check out
- while ! repo sync -j 16; do
- sleep 30
- done
-}
-
-sync
diff --git a/sync-for-memory.sh b/sync-for-memory.sh
deleted file mode 100755
index b86667f..0000000
--- a/sync-for-memory.sh
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/bash
-export BASE=$(cd $(dirname $0);pwd)
-
-source ${BASE}/scripts-common/sync-common.sh
-
-export MIRROR="http://android.git.linaro.org/git/platform/manifest.git"
-branch="android-6.0.1_r3"
-
-LOCAL_MANIFEST="ssh://git@dev-private-git.linaro.org/linaro-art/platform/manifest.git"
-LOCAL_MANIFEST_BRANCH="linaro-marshmallow"
-
-main "$@"
-
-${BASE}/sync-projects.sh build \
- bionic \
- art \
- android-patchsets \
-
-./android-patchsets/marshmallow-gcc5-patchset
-./android-patchsets/marshmallow-ram-patchset
-
-#./build.sh
-exit
diff --git a/sync-marshmallow-local-private.sh b/sync-local.sh
index c637bab..f9bf7b8 100755
--- a/sync-marshmallow-local-private.sh
+++ b/sync-local.sh
@@ -5,10 +5,10 @@ source ${BASE}/scripts-common/sync-common.sh
export MIRROR="/SATA3/aosp-mirror/platform/manifest.git"
#branch="android-6.0.0_r26"
-branch="android-6.0.1_r16"
+branch="android-n-preview-2"
LOCAL_MANIFEST="ssh://git@dev-private-git.linaro.org/linaro-art/platform/manifest.git"
-LOCAL_MANIFEST_BRANCH="linaro-marshmallow"
+LOCAL_MANIFEST_BRANCH="linaro-n-preview"
main "$@"
@@ -16,31 +16,20 @@ ${BASE}/sync-projects.sh build \
bionic \
android-patchsets \
device/linaro/hikey \
-
-# kernel/linaro/hisilicon/ \
-# art \
+ kernel/linaro/hisilicon/ \
+ art \
# external/opencv-upstream \
#export http_proxy=192.168.0.102:37586
#export https_proxy=192.168.0.102:37586
-./android-patchsets/MARSHMALLOW-MLCR-PATCHSET
-if [ $? -ne 0 ]; then
- echo "Failed to run MARSHMALLOW-MLCR-PATCHSET"
- exit 1
-fi
-./android-patchsets/hikey-m-workarounds
-if [ $? -ne 0 ]; then
- echo "Failed to run hikey-m-workarounds"
- exit 1
-fi
-./android-patchsets/juno-m-workarounds
+./android-patchsets/N-PREVIEW-PATCHSET
if [ $? -ne 0 ]; then
- echo "Failed to run juno-m-workarounds"
+ echo "Failed to run N-PREVIEW-PATCHSET"
exit 1
fi
-./android-patchsets/marshmallow-gcc5-patchset
+./android-patchsets/hikey-n-workarounds
if [ $? -ne 0 ]; then
- echo "Failed to run marshmallow-gcc5-patchset"
+ echo "Failed to run hikey-n-workarounds"
exit 1
fi
diff --git a/sync-lollipop-linaro.sh b/sync-lollipop-linaro.sh
deleted file mode 100755
index a0795c7..0000000
--- a/sync-lollipop-linaro.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/bash
-export BASE=$(cd $(dirname $0);pwd)
-
-source ${BASE}/scripts-common/sync-common.sh
-
-export MIRROR="http://android.git.linaro.org/git/platform/manifest.git"
-branch="android-5.1.1_r24"
-
-LOCAL_MANIFEST="ssh://git@dev-private-git.linaro.org/linaro-art/platform/manifest.git"
-LOCAL_MANIFEST_BRANCH="linaro-lollipop"
-
-main "$@"
diff --git a/sync-lollipop-local-normal.sh b/sync-lollipop-local-normal.sh
deleted file mode 100755
index 7eec604..0000000
--- a/sync-lollipop-local-normal.sh
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/bash
-export BASE=$(cd $(dirname $0);pwd)
-
-source ${BASE}/scripts-common/sync-common.sh
-
-export MIRROR="/SATA3/aosp-mirror/platform/manifest.git"
-branch="android-5.1.1_r24"
-LOCAL_MANIFEST="git://android.git.linaro.org/platform/manifest.git"
-LOCAL_MANIFEST_BRANCH="linaro-lollipop"
-
-main "$@"
-
-${BASE}/sync-projects.sh build \
- bionic \
-
-# art \
-# external/opencv-upstream \
-# external/zlib \
-# external/chromium_org
-
-./android-patchsets/LOLLIPOP-STABLE-PATCHSET
-./android-patchsets/nexus9-workarounds
-./android-patchsets/hikey-lcr-board-workaround
-
-
-cp host-tools/LOLLIPOP-LIUYQ-PATCHSET ./android-patchsets/LOLLIPOP-LIUYQ-PATCHSET
-./android-patchsets/LOLLIPOP-LIUYQ-PATCHSET
-
-./build.sh
-#adb reboot bootloader
-#ANDROID_PRODUCT_OUT=out/target/product/flounder/ fastboot -w flashall
diff --git a/sync-lollipop-local-private.sh b/sync-lollipop-local-private.sh
deleted file mode 100755
index 9b79050..0000000
--- a/sync-lollipop-local-private.sh
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/bash
-export BASE=$(cd $(dirname $0);pwd)
-
-source ${BASE}/scripts-common/sync-common.sh
-
-export MIRROR="/SATA3/aosp-mirror/platform/manifest.git"
-branch="android-5.1.1_r24"
-LOCAL_MANIFEST="ssh://git@dev-private-git.linaro.org/linaro-art/platform/manifest.git"
-LOCAL_MANIFEST_BRANCH="linaro-lollipop"
-
-main "$@"
-
-${BASE}/sync-projects.sh build \
- bionic \
- android-patchsets \
-
-# art \
-# external/opencv-upstream \
-# external/zlib \
-# external/chromium_org
-
-./android-patchsets/LOLLIPOP-MLCR-PATCHSET
-./android-patchsets/LOLLIPOP-CHROMIUM-PATCHSET
-./android-patchsets/nexus9-workarounds
-./android-patchsets/hikey-lcr-board-workaround
-
-
-cp host-tools/LOLLIPOP-LIUYQ-PATCHSET ./android-patchsets/LOLLIPOP-LIUYQ-PATCHSET
-./android-patchsets/LOLLIPOP-LIUYQ-PATCHSET
-
-#./build.sh
-#adb reboot bootloader
-#ANDROID_PRODUCT_OUT=out/target/product/flounder/ fastboot -w flashall
diff --git a/sync-marshmallow-linaro.sh b/sync-marshmallow-linaro.sh
deleted file mode 100755
index f11fde6..0000000
--- a/sync-marshmallow-linaro.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash
-export BASE=$(cd $(dirname $0);pwd)
-
-source ${BASE}/scripts-common/sync-common.sh
-
-export MIRROR="http://android.git.linaro.org/git/platform/manifest.git"
-branch="android-6.0.1_r16"
-
-LOCAL_MANIFEST="ssh://git@dev-private-git.linaro.org/linaro-art/platform/manifest.git"
-LOCAL_MANIFEST_BRANCH="linaro-marshmallow"
-
-main "$@"
-
-${BASE}/sync-projects.sh build \
- bionic \
- art \
- android-patchsets \
- device/linaro/hikey \
-
-./android-patchsets/MARSHMALLOW-MLCR-PATCHSET
-./android-patchsets/hikey-m-workarounds
-./android-patchsets/juno-m-workarounds
-./android-patchsets/marshmallow-gcc5-patchset
-
-cd device/linaro/build
-git fetch ssh://yongqin.liu@android-review.linaro.org:29418/device/linaro/common refs/changes/39/16439/1 && git cherry-pick FETCH_HEAD
-cd ../../../
-
-#./build.sh
-exit
diff --git a/sync-master-linaro.sh b/sync-master-linaro.sh
deleted file mode 100755
index e9efcbe..0000000
--- a/sync-master-linaro.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/bash
-export BASE=$(cd $(dirname $0);pwd)
-
-source ${BASE}/scripts-common/sync-common.sh
-
-export MIRROR="http://android.git.linaro.org/git/platform/manifest.git"
-branch="master"
-
-LOCAL_MANIFEST=http://android.git.linaro.org/git/platform/manifest.git
-LOCAL_MANIFEST_BRANCH=linaro-master
-
-main "$@"
diff --git a/sync-master-local.sh b/sync-master-local.sh
deleted file mode 100755
index f8f79bb..0000000
--- a/sync-master-local.sh
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-export BASE=$(cd $(dirname $0);pwd)
-
-source ${BASE}/scripts-common/sync-common.sh
-
-export MIRROR="/SATA3/aosp-mirror/platform/manifest.git"
-branch="master"
-
-LOCAL_MANIFEST=http://android.git.linaro.org/git/platform/manifest.git
-LOCAL_MANIFEST_BRANCH=linaro-master
-
-#cp -uvf android-tools/kernel.xml .repo/local_manifests/kernel.xml
-main "$@"